/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_3445814889")

  // remove field
  collection.fields.removeById("text186973863")

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_3445814889")

  // add field
  collection.fields.addAt(8, new Field({
    "autogeneratePattern": "",
    "hidden": false,
    "id": "text186973863",
    "max": 0,
    "min": 0,
    "name": "finVolumeCode",
    "pattern": "",
    "presentable": false,
    "primaryKey": false,
    "required": false,
    "system": false,
    "type": "text"
  }))

  return app.save(collection)
})
